/**
 ** On-Screen-Display for Noatun
 ** Copyright (c) 2001, Flaming Sword Productions
 ** All Rights Reserved under the BSD License
 **
 ** This plug-in REQUIRES that you have the X On-Screen-Display (xosd)
 ** libraries installed.
 **
 ** $Id: osd.h,v 1.6 2002/05/31 13:08:48 brian Exp $
 **/
#ifndef		__OSD_H__
#define		__OSD_H__
#include	<noatun/player.h>
#include	<noatun/plugin.h>
#include	<noatun/app.h>
#include	<noatun/pref.h>
#include	<qobject.h>
#include	"kosd.h"

/**
 ** class OSD: Present on-screen-displays to the User.   We'll start
 ** by showing track info, and work our way up from there.
 **/
class		OSD: public QObject, public Plugin {
Q_OBJECT
NOATUNPLUGIND
public:

		OSD();
		~OSD();

public slots:
	void		showSong();
	void		showPlay();
	void		showPause();
	void		showStop();
	void		setVolume( int );

private slots:
	void		loadSettings();

protected:
	KOSD		*_osd;

	bool		_showFilename;
};

#endif
